std::__detail::_Node_iterator< _Value, __constant_iterators, __cache > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes
Inheritance diagram for std::__detail::_Node_iterator< _Value, __constant_iterators, __cache >:
[legend]

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
using | pointer = typename std::conditional< __constant_iterators, const _Value *, _Value * >::type
using | reference = typename std::conditional< __constant_iterators, const _Value &, _Value & >::type
typedef _Value | value_type

## Public Member Functions

| _Node_iterator (__node_type *__p) noexcept
void | _M_incr () noexcept
reference | operator* () const noexcept
_Node_iterator & | operator++ () noexcept
_Node_iterator | operator++ (int) noexcept
pointer | operator-> () const noexcept

## Public Attributes

__node_type * | _M_cur

## Detailed Description

### template<typename _Value, bool __constant_iterators, bool __cache>
struct std::__detail::_Node_iterator< _Value, __constant_iterators, __cache >

Node iterators, used to iterate through all the hashtable.

Definition at line 319 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h